IPSW-KERNEL-SYMBOLICATE(1)

NAME
ipsw-kernel-symbolicate - Symbolicate kernelcache

SYNOPSIS
ipsw kernel symbolicate [flags]

DESCRIPTION
Symbolicate kernelcache

OPTIONS
-a, --arch=""
    Which architecture to use for fat/universal MachO

-f, --flat[=false]
    Output results in flat file '.syms' format

-h, --help[=false]
    help for symbolicate

-j, --json[=false]
    Output results in JSON format

-l, --lookup=0
    Lookup the nearest symbol for an address (input may be a kernelcache or a symbols JSON map)

-o, --output=""
    Folder to write files to

-q, --quiet[=false]
    Do NOT display logging

-s, --signatures=""
    Path to signatures folder

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Symbolicate a kernelcache using signatures and write the map to JSON
    ❯ ipsw kernel symbolicate --signatures /path/to/sigs --json kernelcache.release.iPhone18,1
    # Look up the nearest symbol for an address directly from a kernelcache
    ❯ ipsw kernel symbolicate --signatures /path/to/sigs --lookup 0xfffffe000aecb258 kernelcache.release.iPhone18,1
    # Look up the nearest symbol using a previously generated symbol map
    ❯ ipsw kernel symbolicate --lookup 0xfffffe000aecb258 kernelcache.release.iPhone18,1.symbols.json

SEE ALSO
ipsw-kernel(1)

HISTORY
4-Jul-2026 Auto generated by spf13/cobra